net.sourceforge.pmd.util.filter

## Class AbstractDelegateFilter<T>

- java.lang.Object
- - net.sourceforge.pmd.util.filter.AbstractDelegateFilter<T>

Type Parameters:
  `T` - The underlying type on which the filter applies.

All Implemented Interfaces:
  Filter<T>

Direct Known Subclasses:
  NotFilter

    public abstract class AbstractDelegateFilter<T>
    extends Object
    implements Filter<T>

A base class for Filters which implements behavior using delegation to an underlying filter.

### Field Summary

Fields
`protected Filter<T>` `filter`

### Constructor Summary

Constructors
Constructor and Description
`AbstractDelegateFilter()`
`AbstractDelegateFilter(Filter<T> filter)`

### Method Summary

Methods
`boolean` `filter(T obj)`
`Filter<T>` `getFilter()`
`void` `setFilter(Filter<T> filter)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### filter

    protected Filter<T> filter

### Constructor Detail

#### AbstractDelegateFilter

    public AbstractDelegateFilter()

#### AbstractDelegateFilter

    public AbstractDelegateFilter(Filter<T> filter)

### Method Detail

#### getFilter

    public Filter<T> getFilter()

#### setFilter

    public void setFilter(Filter<T> filter)

#### filter

    public boolean filter(T obj)

Specified by:
  `filter` in interface `Filter<T>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`